Bug 1660647 - Wildcard routes get 503 intermittently
Summary: Wildcard routes get 503 intermittently
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.0
Assignee: Dan Mace
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks: 1695271 1695272 1695273
TreeView+ depends on / blocked
 
Reported: 2018-12-18 21:56 UTC by Steven Walter
Modified: 2019-05-06 13:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1695271 1695272 1695273 (view as bug list)
Environment:
Last Closed: 2019-04-25 14:40:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift router pull 14 None None None 2019-04-02 18:29:08 UTC

Internal Links: 1720180

Comment 1 Steven Walter 2018-12-18 21:57:45 UTC
Making c#1 private as the attachment should be private (why cant I make them private separately? :))

Comment 2 Steven Walter 2018-12-18 21:58:10 UTC
Making logs public for searchability:

I1218 14:59:59.611263       1 status.go:179] has last touch 2018-12-18 14:59:59 +0000 UTC for svcs/wildcard-oauth2-provider
I1218 14:59:59.611277       1 status.go:187] expired cached last touch of 2018-12-18 14:54:57 +0000 UTC
I1218 14:59:59.611286       1 status.go:193] missing or equal cached last touch
I1218 14:59:59.613158       1 unique_host.go:211] Deleting routes for svcs/wildcard-oauth2-provider
I1218 14:59:59.613176       1 plugin.go:187] Deleting route svcs/wildcard-oauth2-provider
I1218 14:59:59.613213       1 status.go:179] has last touch 2018-12-18 14:59:59 +0000 UTC for svcs/wildcard-oauth2-provider
I1218 14:59:59.613227       1 status.go:193] missing or equal cached last touch

Comment 20 Ram Ranganathan 2019-02-19 22:44:22 UTC
Origin fixes in PR: https://github.com/openshift/origin/pull/22087
(Once that merges will backport to origin 3.9 and 3.10)

Need to create a few more PRs for this - one against OSE and one against the new router repo for 4.0 fixes.

Comment 23 Ram Ranganathan 2019-02-21 01:50:22 UTC
Backported PRs for 
v3.9: https://github.com/openshift/origin/pull/22114
v3.10: https://github.com/openshift/origin/pull/22112

And ported change to new router repo for
v4.0: https://github.com/openshift/router/pull/14

Comment 24 Ram Ranganathan 2019-03-01 00:37:55 UTC
Fixes in v3.10, v3.11 and 4.0 releases have merged.

v3.9 fixes are still pending as origin builds seem to be failing on pre-3.10 releases.

Comment 25 Dan Mace 2019-03-08 15:33:01 UTC
The backport to 3.9 specifically is going to require some assessment as the 3.10+ patch doesn't apply cleanly and when adapted seems to result in behavior changes which break other tests in a way unique to 3.9.

Comment 26 Steven Walter 2019-04-02 17:00:03 UTC
Any updates on the 3.9 backport and/or the status of when the other versions will ship?

Comment 32 Ben Bennett 2019-04-18 12:45:39 UTC
For 4.1 we will not support wildcard routes.  We need to document this.

We may allow configuration of them in 4.2.

Comment 33 Dan Mace 2019-04-25 14:40:03 UTC
Since we're not supporting wildcard routes in 4.1, this bug doesn't apply. I'm going to just close the bug and start tracking the docs issue in Jira with other docs tasks.


Note You need to log in before you can comment on or make changes to this bug.